Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157879 - internal compiler error: segmentation fault
Summary: internal compiler error: segmentation fault
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 18:03 UTC by Simon Lanzmich
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.0-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 11:39:13 UTC


Attachments (Terms of Use)
Preprocessed source asked for in the error message (deleted)
2005-05-16 18:03 UTC, Simon Lanzmich
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 21364 None None None Never

Description Simon Lanzmich 2005-05-16 18:03:21 UTC
Description of problem:
Since the error message asks to report the problem here - and not to the blender
people, I hope it is the right place/product/component.

When I compile Blender, I get the following error message:

gcc -c -DGAMEBLENDER=1 -DUSE_SUMO_SOLID -pipe -fPIC  -DNDEBUG -O2
-funsigned-char -Wall -Wno-char-subscripts -DMOZ_NOT_NET -I../Physics/common
-I../Physics/Dummy -I/usr/include -I/usr/include -I/usr/include -I../../include
-I../../blenkernel -I../../blenlib -I../../avi -I../../quicktime
-I/home/simon/Downloads/build_x86_64/blender/blender/../lib64/linux-glibc2.3.5-x86_64/guardedalloc/include
-I../../makesdna -I.. iris.c -o
/home/simon/Downloads/build_x86_64/blender/blender/obj/linux-glibc2.3.5-x86_64/blender/imbuf/iris.o
iris.c: In Funktion »imb_loadiris«:
iris.c:284: Warnung: Zeigerziele bei Ãbergabe des Arguments 2 von »readtab«
unterscheiden sich im Vorzeichenbesitz
iris.c:285: Warnung: Zeigerziele bei Ãbergabe des Arguments 2 von »readtab«
unterscheiden sich im Vorzeichenbesitz
iris.c: In Funktion »output_iris«:
iris.c:552: Warnung: Zeigerziele bei Ãbergabe des Arguments 2 von »writetab«
unterscheiden sich im Vorzeichenbesitz
iris.c:553: Warnung: Zeigerziele bei Ãbergabe des Arguments 2 von »writetab«
unterscheiden sich im Vorzeichenbesitz
iris.c: In Funktion »imb_loadiris«:

iris.c:237: interner Compiler-Fehler: Speicherzugriffsfehler
Bitte senden Sie einen vollständigen Fehlerbericht auf Englisch ein;
bearbeiten Sie die Quellen zunächst mit einem Präprozessor, wenn es
dienlich ist.
Fehler in der deutschen Ãbersetzung sind an de@li.org zu melden.

Gehen Sie gemäà den Hinweisen in <URL:http://bugzilla.redhat.com/bugzilla> vor.
Preprocessed source stored into /tmp/ccMG9loT.out file, please attach this to
your bugreport.
make[4]: ***
[/home/simon/Downloads/build_x86_64/blender/blender/obj/linux-glibc2.3.5-x86_64/blender/imbuf/iris.o]
Fehler 1
make[3]: *** [all] Fehler 1
make[2]: *** [all] Fehler 1
make[1]: *** [all] Fehler 1
make: *** [all] Fehler 1


Version-Release number of selected component (if applicable):
Blender-2.36
gcc-4.0.0-5
glib-1.2.10-16

anything else?

How reproducible:
always

Steps to Reproduce:
1. Download the blender source (www.blender3d.org)
2. Edit the blender configuration files to fit to the system (x86_64)
3. make
  
Actual results:
make fails

Expected results:
The program should be compiled

Additional info:

Comment 1 Simon Lanzmich 2005-05-16 18:03:23 UTC
Created attachment 114437 [details]
Preprocessed source asked for in the error message

Comment 2 Jakub Jelinek 2005-05-17 11:39:13 UTC
This is a bug in the german translation, already reported upstream.

Comment 3 Jakub Jelinek 2005-05-19 07:52:03 UTC
Fixed with a bunch of other german, spanish, turkish and chinese translation
bugs.


Note You need to log in before you can comment on or make changes to this bug.